# class Racc::SRconflict

### Attributes

reduce[R]
shift[R]
stateid[R]

### Public Class Methods

new(sid, shift, reduce) click to toggle source

    # File lib/racc/state.rb, line 937
    def initialize(sid, shift, reduce)
      @stateid = sid
      @shift   = shift
      @reduce  = reduce
    end

### Public Instance Methods

to_s() click to toggle source

    # File lib/racc/state.rb, line 947
    def to_s
      sprintf('state %d: S/R conflict rule %d reduce and shift %s',
              @stateid, @reduce.ruleid, @shift.to_s)
    end